The Alternative Csound Reference Manual
Previous |  | Next

# taninv

taninv -- Performs an arctangent function.

## Description

Returns the arctangent of x (x in radians).

## Syntax

taninv(x) (no rate restriction)

## Examples

Here is an example of the taninv opcode. It uses the files taninv.orc and taninv.sco.

Example 1. Example of the taninv opcode.

    /* taninv.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 0.5
      i1 = taninv(irad)

      print i1
    endin
    /* taninv.orc */

    /* taninv.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* taninv.sco */

Its output should include a line like this:

    instr 1:  i1 = 0.464

## See Also

cos, cosh, cosinv, sin, sinh, sininv, tan, tanh, taninv2

## Credits

Example written by Kevin Conder.

Previous | Home | Next
tanh | Up | taninv2